BindingUpdatable (Groovy 3.0.7)

Package org.codehaus.groovy.binding

## Interface BindingUpdatable

- All Known Subinterfaces:
    `FullBinding`
  All Known Implementing Classes:
    `AbstractFullBinding`, `AggregateBinding`, `BindingProxy`, `MutualPropertyBinding`, `PropertyPathFullBinding`

      @Deprecated
      public interface BindingUpdatable

  Deprecated.
  Since:
    Groovy 1.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `bind()` | Deprecated. Causes automatic updating of bound values to be turned on.
    `void` | `rebind()` | Deprecated. Causes the current bindings to be reset.
    `void` | `reverseUpdate()` | Deprecated. If supported, Causes the values to be propagated from the target to the source, If not supported, an exception may be thrown
    `void` | `unbind()` | Deprecated. Causes automatic updating of bound values to be turned off.
    `void` | `update()` | Deprecated. Causes the values to be propagated from the source to the target

- - ### Method Detail

    - #### bind

          void bind()

      Deprecated.
      Causes automatic updating of bound values to be turned on. This is idempotent between calls to unbind and rebind; i.e. multiple calls to bind will have only the effect of the first call.

    - #### unbind

          void unbind()

      Deprecated.
      Causes automatic updating of bound values to be turned off. This is idempotent between calls to bind and rebind; i.e. multiple calls to unbind will have only the effect of the first call.

    - #### rebind

          void rebind()

      Deprecated.
      Causes the current bindings to be reset. If the binding is not bound, it is a no-op. If the binding is bound, it will be turned off, then turned on against current values.

    - #### update

          void update()

      Deprecated.
      Causes the values to be propagated from the source to the target

    - #### reverseUpdate

          void reverseUpdate()

      Deprecated.
      If supported, Causes the values to be propagated from the target to the source, If not supported, an exception may be thrown